        var ii=0;
        var jj=0;
        var eventoControlado = false;
        window.onload = function(){document.onkeypress = cambioIm;}
        function cambioIm(evObject){
           var chr = String.fromCharCode(evObject.which);
           if(chr=="q"){
              var rx=getRI(ii)-1
              var qw=getR(rx)
              if(qw!=-1){ii=qw;show();}}
           else if(chr=="a"){
              var rx=getRI(ii)+1
              var qw=getR(rx)
              if(qw!=-1){ii=qw;show();}}
           else if(chr=="o"){
              if(0<jj){jj-=1; show();}}
           else if(chr=="p"){
              if(jj<5){jj+=1; show();}}
           else if(chr=="w"){
              var tag=document.getElementById('largeImg');
              tag.width =  tag.width *1.1;
              tag.height = tag.height*1.1;}
           else if(chr=="s"){
              var tag=document.getElementById('largeImg');
              tag.width =  tag.width /1.1;
              tag.height = tag.height/1.1;}
           eventoControlado=true;}
        function showImage(rr,cc) {
           ii=rr;
           jj=cc;
           show(ii,jj);}
        function show() {
           console.log(ii,jj)
           document.getElementById('largeImg').src = getF(ii,jj);
           document.getElementById('largeImgText').innerHTML = getT(ii,jj);
           document.getElementById('largeImgPanel').style.visibility = 'visible';
           if(document.selection) document.selection.empty();
           if(window.getSelection) window.getSelection().removeAllRanges();}
        function hideMe(obj) {
           obj.style.visibility = 'hidden';}
        function getRI(iii){
           var res=-1
           for(k=0;k<100;k++){
               if(iii==getR(k)){res=k;}}
           return res;}
        function includeHTML(){
           /*loop through a collection of all HTML elements: https://www.w3schools.com/howto/howto_html_include.asp*/
           var z, i, elmnt, file, xhttp;
           z = document.getElementsByTagName("*");
           for(i=0;i<z.length;i++){
               elmnt = z[i];
               /*search for elements with a certain atrribute:*/
               file = elmnt.getAttribute("w3-include-html");
               if (file) {
                  /*make an HTTP request using the attribute value as the file name:*/
                  xhttp = new XMLHttpRequest();
                  xhttp.onreadystatechange = function() {
                          if (this.readyState == 4) {
                             if (this.status == 200) {elmnt.innerHTML = this.responseText;}
                             if (this.status == 404) {elmnt.innerHTML = "Page not found.";}
                             /*remove the attribute, and call this function once more:*/
                             elmnt.removeAttribute("w3-include-html");
                             includeHTML();}}
                  xhttp.open("GET", file, true);
                  xhttp.send();
                  return;}}}
        function getF(rr,cc){
       if(rr==7 && cc==0){return '../../SIN/180/cl0_tz_500.png';}
       if(rr==7 && cc==1){return '../../SIN/180/cl1_tz_500.png';}
       if(rr==7 && cc==2){return '../../SIN/180/cl2_tz_500.png';}
       if(rr==7 && cc==3){return '../../SIN/180/cl3_tz_500.png';}
       if(rr==7 && cc==4){return '../../SIN/180/cl4_tz_500.png';}
       if(rr==7 && cc==5){return '../../SIN/180/cl5_tz_500.png';}
       if(rr==34 && cc==0){return 'prob_swh_thr1.25_cl0.png';}
       if(rr==34 && cc==1){return 'prob_swh_thr1.25_cl1.png';}
       if(rr==34 && cc==2){return 'prob_swh_thr1.25_cl2.png';}
       if(rr==34 && cc==3){return 'prob_swh_thr1.25_cl3.png';}
       if(rr==34 && cc==4){return 'prob_swh_thr1.25_cl4.png';}
       if(rr==34 && cc==5){return 'prob_swh_thr1.25_cl5.png';}
       if(rr==35 && cc==0){return 'prob_swh_thr2.5_cl0.png';}
       if(rr==35 && cc==1){return 'prob_swh_thr2.5_cl1.png';}
       if(rr==35 && cc==2){return 'prob_swh_thr2.5_cl2.png';}
       if(rr==35 && cc==3){return 'prob_swh_thr2.5_cl3.png';}
       if(rr==35 && cc==4){return 'prob_swh_thr2.5_cl4.png';}
       if(rr==35 && cc==5){return 'prob_swh_thr2.5_cl5.png';}
       if(rr==36 && cc==0){return 'prob_swh_thr4_cl0.png';}
       if(rr==36 && cc==1){return 'prob_swh_thr4_cl1.png';}
       if(rr==36 && cc==2){return 'prob_swh_thr4_cl2.png';}
       if(rr==36 && cc==3){return 'prob_swh_thr4_cl3.png';}
       if(rr==36 && cc==4){return 'prob_swh_thr4_cl4.png';}
       if(rr==36 && cc==5){return 'prob_swh_thr4_cl5.png';}
       if(rr==37 && cc==0){return 'prob_swh_thr6_cl0.png';}
       if(rr==37 && cc==1){return 'prob_swh_thr6_cl1.png';}
       if(rr==37 && cc==2){return 'prob_swh_thr6_cl2.png';}
       if(rr==37 && cc==3){return 'prob_swh_thr6_cl3.png';}
       if(rr==37 && cc==4){return 'prob_swh_thr6_cl4.png';}
       if(rr==37 && cc==5){return 'prob_swh_thr6_cl5.png';}
       if(rr==38 && cc==0){return 'prob_swh_thr9_cl0.png';}
       if(rr==38 && cc==1){return 'prob_swh_thr9_cl1.png';}
       if(rr==38 && cc==2){return 'prob_swh_thr9_cl2.png';}
       if(rr==38 && cc==3){return 'prob_swh_thr9_cl3.png';}
       if(rr==38 && cc==4){return 'prob_swh_thr9_cl4.png';}
       if(rr==38 && cc==5){return 'prob_swh_thr9_cl5.png';}
       if(rr==39 && cc==0){return 'prob_swh_thr14_cl0.png';}
       if(rr==39 && cc==1){return 'prob_swh_thr14_cl1.png';}
       if(rr==39 && cc==2){return 'prob_swh_thr14_cl2.png';}
       if(rr==39 && cc==3){return 'prob_swh_thr14_cl3.png';}
       if(rr==39 && cc==4){return 'prob_swh_thr14_cl4.png';}
       if(rr==39 && cc==5){return 'prob_swh_thr14_cl5.png';}
}
        function getT(rr,cc){
       if(rr==7 && cc==0){return '<strong>Temperatura (C) y Altura Geopotencial (m) en 500 hPa</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br><strong>control +<br>EPS</strong>';}
       if(rr==7 && cc==1){return '<strong>Temperatura (C) y Altura Geopotencial (m) en 500 hPa</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>1</strong> representante: <strong>41</strong> miembros: 19 <br>1,2,3,5,6,15,19,20,23,26,28,33,36,38,41,43,46,47,49';}
       if(rr==7 && cc==2){return '<strong>Temperatura (C) y Altura Geopotencial (m) en 500 hPa</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>2</strong> representante: <strong>21</strong> miembros: 12 <strong>control</strong><br>0,8,10,12,17,21,32,35,44,45,48,50';}
       if(rr==7 && cc==3){return '<strong>Temperatura (C) y Altura Geopotencial (m) en 500 hPa</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>3</strong> representante: <strong>40</strong> miembros: 8 <br>9,13,14,18,24,30,40,42';}
       if(rr==7 && cc==4){return '<strong>Temperatura (C) y Altura Geopotencial (m) en 500 hPa</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>4</strong> representante: <strong>25</strong> miembros: 7 <br>16,22,25,29,31,34,37';}
       if(rr==7 && cc==5){return '<strong>Temperatura (C) y Altura Geopotencial (m) en 500 hPa</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>5</strong> representante: <strong>39</strong> miembros: 5 <br>4,7,11,27,39';}
       if(rr==34 && cc==0){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 1.25 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br><strong>control +<br>EPS</strong>';}
       if(rr==34 && cc==1){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 1.25 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>1</strong> representante: <strong>41</strong> miembros: 19 <br>1,2,3,5,6,15,19,20,23,26,28,33,36,38,41,43,46,47,49';}
       if(rr==34 && cc==2){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 1.25 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>2</strong> representante: <strong>21</strong> miembros: 12 <strong>control</strong><br>0,8,10,12,17,21,32,35,44,45,48,50';}
       if(rr==34 && cc==3){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 1.25 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>3</strong> representante: <strong>40</strong> miembros: 8 <br>9,13,14,18,24,30,40,42';}
       if(rr==34 && cc==4){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 1.25 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>4</strong> representante: <strong>25</strong> miembros: 7 <br>16,22,25,29,31,34,37';}
       if(rr==34 && cc==5){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 1.25 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>5</strong> representante: <strong>39</strong> miembros: 5 <br>4,7,11,27,39';}
       if(rr==35 && cc==0){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 2.5 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br><strong>control +<br>EPS</strong>';}
       if(rr==35 && cc==1){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 2.5 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>1</strong> representante: <strong>41</strong> miembros: 19 <br>1,2,3,5,6,15,19,20,23,26,28,33,36,38,41,43,46,47,49';}
       if(rr==35 && cc==2){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 2.5 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>2</strong> representante: <strong>21</strong> miembros: 12 <strong>control</strong><br>0,8,10,12,17,21,32,35,44,45,48,50';}
       if(rr==35 && cc==3){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 2.5 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>3</strong> representante: <strong>40</strong> miembros: 8 <br>9,13,14,18,24,30,40,42';}
       if(rr==35 && cc==4){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 2.5 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>4</strong> representante: <strong>25</strong> miembros: 7 <br>16,22,25,29,31,34,37';}
       if(rr==35 && cc==5){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 2.5 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>5</strong> representante: <strong>39</strong> miembros: 5 <br>4,7,11,27,39';}
       if(rr==36 && cc==0){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 4 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br><strong>control +<br>EPS</strong>';}
       if(rr==36 && cc==1){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 4 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>1</strong> representante: <strong>41</strong> miembros: 19 <br>1,2,3,5,6,15,19,20,23,26,28,33,36,38,41,43,46,47,49';}
       if(rr==36 && cc==2){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 4 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>2</strong> representante: <strong>21</strong> miembros: 12 <strong>control</strong><br>0,8,10,12,17,21,32,35,44,45,48,50';}
       if(rr==36 && cc==3){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 4 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>3</strong> representante: <strong>40</strong> miembros: 8 <br>9,13,14,18,24,30,40,42';}
       if(rr==36 && cc==4){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 4 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>4</strong> representante: <strong>25</strong> miembros: 7 <br>16,22,25,29,31,34,37';}
       if(rr==36 && cc==5){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 4 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>5</strong> representante: <strong>39</strong> miembros: 5 <br>4,7,11,27,39';}
       if(rr==37 && cc==0){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 6 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br><strong>control +<br>EPS</strong>';}
       if(rr==37 && cc==1){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 6 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>1</strong> representante: <strong>41</strong> miembros: 19 <br>1,2,3,5,6,15,19,20,23,26,28,33,36,38,41,43,46,47,49';}
       if(rr==37 && cc==2){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 6 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>2</strong> representante: <strong>21</strong> miembros: 12 <strong>control</strong><br>0,8,10,12,17,21,32,35,44,45,48,50';}
       if(rr==37 && cc==3){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 6 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>3</strong> representante: <strong>40</strong> miembros: 8 <br>9,13,14,18,24,30,40,42';}
       if(rr==37 && cc==4){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 6 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>4</strong> representante: <strong>25</strong> miembros: 7 <br>16,22,25,29,31,34,37';}
       if(rr==37 && cc==5){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 6 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>5</strong> representante: <strong>39</strong> miembros: 5 <br>4,7,11,27,39';}
       if(rr==38 && cc==0){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 9 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br><strong>control +<br>EPS</strong>';}
       if(rr==38 && cc==1){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 9 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>1</strong> representante: <strong>41</strong> miembros: 19 <br>1,2,3,5,6,15,19,20,23,26,28,33,36,38,41,43,46,47,49';}
       if(rr==38 && cc==2){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 9 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>2</strong> representante: <strong>21</strong> miembros: 12 <strong>control</strong><br>0,8,10,12,17,21,32,35,44,45,48,50';}
       if(rr==38 && cc==3){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 9 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>3</strong> representante: <strong>40</strong> miembros: 8 <br>9,13,14,18,24,30,40,42';}
       if(rr==38 && cc==4){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 9 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>4</strong> representante: <strong>25</strong> miembros: 7 <br>16,22,25,29,31,34,37';}
       if(rr==38 && cc==5){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 9 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>5</strong> representante: <strong>39</strong> miembros: 5 <br>4,7,11,27,39';}
       if(rr==39 && cc==0){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 14 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br><strong>control +<br>EPS</strong>';}
       if(rr==39 && cc==1){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 14 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>1</strong> representante: <strong>41</strong> miembros: 19 <br>1,2,3,5,6,15,19,20,23,26,28,33,36,38,41,43,46,47,49';}
       if(rr==39 && cc==2){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 14 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>2</strong> representante: <strong>21</strong> miembros: 12 <strong>control</strong><br>0,8,10,12,17,21,32,35,44,45,48,50';}
       if(rr==39 && cc==3){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 14 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>3</strong> representante: <strong>40</strong> miembros: 8 <br>9,13,14,18,24,30,40,42';}
       if(rr==39 && cc==4){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 14 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>4</strong> representante: <strong>25</strong> miembros: 7 <br>16,22,25,29,31,34,37';}
       if(rr==39 && cc==5){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 14 m</strong><br><br><strong>20260430 a 00</strong> UTC HH+180 (rango:168-192)<br>grupo: <strong>5</strong> representante: <strong>39</strong> miembros: 5 <br>4,7,11,27,39';}
}
        function getR(rrw){
           cx=0;
       cx+=1;
       if(rrw==cx){return 7;}
       cx+=1;
       if(rrw==cx){return 34;}
       cx+=1;
       if(rrw==cx){return 35;}
       cx+=1;
       if(rrw==cx){return 36;}
       cx+=1;
       if(rrw==cx){return 37;}
       cx+=1;
       if(rrw==cx){return 38;}
       cx+=1;
       if(rrw==cx){return 39;}
return -1;}
